> ## Documentation Index
> Fetch the complete documentation index at: https://www.halite-app.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Test Salt Saved Route

> Test the credentials currently persisted in the DB. Used by the
settings page when the operator hasn't re-typed the password — we
can't roundtrip it through the form (security), but we can still
validate it server-side.



## OpenAPI

````yaml /api/openapi.json post /api/admin/settings/test-salt-saved
openapi: 3.1.0
info:
  title: Halite
  version: 0.1.0
servers: []
security: []
paths:
  /api/admin/settings/test-salt-saved:
    post:
      tags:
        - settings
      summary: Test Salt Saved Route
      description: |-
        Test the credentials currently persisted in the DB. Used by the
        settings page when the operator hasn't re-typed the password — we
        can't roundtrip it through the form (security), but we can still
        validate it server-side.
      operationId: test_salt_saved_route_api_admin_settings_test_salt_saved_post
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TestSaltConnectionOut'
components:
  schemas:
    TestSaltConnectionOut:
      properties:
        ok:
          type: boolean
          title: Ok
        detail:
          type: string
          title: Detail
        minion_count:
          anyOf:
            - type: integer
            - type: 'null'
          title: Minion Count
      type: object
      required:
        - ok
        - detail
      title: TestSaltConnectionOut

````